superset-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] [incubator-superset] Zverik edited a comment on issue #10767: Docker Compose fails to start because of slack issue and TypeError
Date Thu, 03 Sep 2020 15:29:58 GMT

Zverik edited a comment on issue #10767:
URL: https://github.com/apache/incubator-superset/issues/10767#issuecomment-686569695


   Oh well, clean superset is not initializing (empty tables) because of the pyarrow dependency
now:
   
   ```
   superset_init            | Traceback (most recent call last):
   superset_init            |   File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py",
line 583, in _build_master
   superset_init            |     ws.require(__requires__)
   superset_init            |   File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py",
line 900, in require
   superset_init            |     needed = self.resolve(parse_requirements(requirements))
   superset_init            |   File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py",
line 791, in resolve
   superset_init            |     raise VersionConflict(dist, req).with_context(dependent_req)
   superset_init            | pkg_resources.ContextualVersionConflict: (pyarrow 1.0.1 (/usr/local/lib/python3.6/site-packages),
Requirement.parse('pyarrow<0.18,>=0.17.0'), {'apache-superset'})
   superset_init            | 
   superset_init            | During handling of the above exception, another exception occurred:
   superset_init            | 
   superset_init            | Traceback (most recent call last):
   superset_init            |   File "/usr/local/bin/superset", line 6, in <module>
   superset_init            |     from pkg_resources import load_entry_point
   superset_init            |   File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py",
line 3251, in <module>
   superset_init            |     @_call_aside
   superset_init            |   File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py",
line 3235, in _call_aside
   superset_init            |     f(*args, **kwargs)
   superset_init            |   File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py",
line 3264, in _initialize_master_working_set
   superset_init            |     working_set = WorkingSet._build_master()
   superset_init            |   File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py",
line 585, in _build_master
   superset_init            |     return cls._build_from_requirements(__requires__)
   superset_init            |   File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py",
line 598, in _build_from_requirements
   superset_init            |     dists = ws.resolve(reqs, Environment())
   superset_init            |   File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py",
line 786, in resolve
   superset_init            |     raise DistributionNotFound(req, requirers)
   superset_init            | pkg_resources.DistributionNotFound: The 'pyarrow<0.18,>=0.17.0'
distribution was not found and is required by apache-superset
   superset_init exited with code 1
   ```
   
   I have opened the frontend, but when I click on any chart, dashboard, or datasource, I
get this error, or similar ones:
   
   ```
   sqlalchemy.exc.ProgrammingError: (psycopg2.errors.UndefinedColumn) column sql_metrics.extra
does not exist
   LINE 1: ...sql_metrics.expression AS sql_metrics_expression, sql_metric...
                                                                ^
   
   [SQL: SELECT sql_metrics.created_on AS sql_metrics_created_on, sql_metrics.changed_on AS
sql_metrics_changed_on, sql_metrics.id AS sql_metrics_id, sql_metrics.metric_name AS sql_metrics_metric_name,
sql_metrics.verbose_name AS sql_metrics_verbose_name, sql_metrics.metric_type AS sql_metrics_metric_type,
sql_metrics.description AS sql_metrics_description, sql_metrics.d3format AS sql_metrics_d3format,
sql_metrics.warning_text AS sql_metrics_warning_text, sql_metrics.table_id AS sql_metrics_table_id,
sql_metrics.expression AS sql_metrics_expression, sql_metrics.extra AS sql_metrics_extra,
sql_metrics.created_by_fk AS sql_metrics_created_by_fk, sql_metrics.changed_by_fk AS sql_metrics_changed_by_fk

   FROM sql_metrics 
   WHERE %(param_1)s = sql_metrics.table_id]
   [parameters: {'param_1': 6}]
   (Background on this error at: http://sqlalche.me/e/13/f405)
   ```


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



---------------------------------------------------------------------
To unsubscribe, e-mail: notifications-unsubscribe@superset.apache.org
For additional commands, e-mail: notifications-help@superset.apache.org


Mime
View raw message